package com.fp.armas.portal.model;

import java.io.Serializable;

import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.JoinColumns;
import javax.persistence.ManyToOne;
import javax.persistence.Version;


/**
 * The persistent class for the TGENECITY database table.
 * 
 */
@Entity
public class Tgenecity implements Serializable {
	private static final long serialVersionUID = 1L;

	@EmbeddedId
	private TgenecityPK id;

	private String description;

	@Version
	private Long recordversion;

	//bi-directional many-to-one association to Tcustpersonaddress
//	@OneToMany(mappedBy="tgenecity")
//	private Set<Tcustpersonaddress> tcustpersonaddresses;

	//bi-directional many-to-one association to Tgenecanton
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumns({
		@JoinColumn(name="CANTONCODE", referencedColumnName="CANTONCODE"),
		@JoinColumn(name="COUNTRYCODE", referencedColumnName="COUNTRYCODE"),
		@JoinColumn(name="PROVINCECODE", referencedColumnName="PROVINCECODE")
		})
	private Tgenecanton tgenecanton;

	public Tgenecity() {
	}

	public TgenecityPK getId() {
		return this.id;
	}

	public void setId(TgenecityPK id) {
		this.id = id;
	}

	public String getDescription() {
		return this.description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Long getRecordversion() {
		return this.recordversion;
	}

	public void setRecordversion(Long recordversion) {
		this.recordversion = recordversion;
	}

//	public Set<Tcustpersonaddress> getTcustpersonaddresses() {
//		return this.tcustpersonaddresses;
//	}
//
//	public void setTcustpersonaddresses(Set<Tcustpersonaddress> tcustpersonaddresses) {
//		this.tcustpersonaddresses = tcustpersonaddresses;
//	}

	public Tgenecanton getTgenecanton() {
		return this.tgenecanton;
	}

	public void setTgenecanton(Tgenecanton tgenecanton) {
		this.tgenecanton = tgenecanton;
	}

}